# Class TCEFMenuButtonComponent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMenuButtonComponent

## Declaration

`type TCEFMenuButtonComponent = class(TCEFLabelButtonComponent, ICefMenuButtonDelegateEvents)`

## Description

This item has no description.

## Hierarchy

- TObject
- TPersistent
- TComponent
- TCEFViewComponent
- TCEFButtonComponent
- TCEFLabelButtonComponent
- TCEFMenuButtonComponent

## Overview

### Fields

| `FMenuButton: ICefMenuButton;`
| `FOnMenuButtonPressed: TOnMenuButtonPressedEvent;`

### Methods

| `procedure DestroyView; override;`
| `procedure Initialize; override;`
| `function GetInitialized: boolean; override;`
| `function GetAsView: ICefView; override;`
| `function GetAsButton: ICefButton; override;`
| `function GetAsLabelButton: ICefLabelButton; override;`
| `function GetAsMenuButton: ICefMenuButton; override;`
| `procedure doOnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);`
| `procedure doCreateCustomView; override;`
| `procedure CreateMenuButton(const aText : ustring);`
| `procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);`
| `procedure TriggerMenu;`

### Properties

| `property OnMenuButtonPressed : TOnMenuButtonPressedEvent read FOnMenuButtonPressed write FOnMenuButtonPressed;`

## Description

### Fields

| `FMenuButton: ICefMenuButton;`
This item has no description.

| `FOnMenuButtonPressed: TOnMenuButtonPressedEvent;`
ICefMenuButtonDelegateEvents

### Methods

| `procedure DestroyView; override;`
This item has no description.

| `procedure Initialize; override;`
This item has no description.

| `function GetInitialized: boolean; override;`
This item has no description.

| `function GetAsView: ICefView; override;`
This item has no description.

| `function GetAsButton: ICefButton; override;`
This item has no description.

| `function GetAsLabelButton: ICefLabelButton; override;`
This item has no description.

| `function GetAsMenuButton: ICefMenuButton; override;`
This item has no description.

| `procedure doOnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);`
ICefMenuButtonDelegateEvents

| `procedure doCreateCustomView; override;`
ICefViewDelegateEvents

| `procedure CreateMenuButton(const aText : ustring);`
Create a new MenuButton.

| `procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);`
Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|. This function should be called from ICefMenuButtonDelegate.OnMenuButtonPressed().

| `procedure TriggerMenu;`
Show the menu for this button. Results in a call to ICefMenuButtonDelegate.OnMenuButtonPressed().

### Properties

| `property OnMenuButtonPressed : TOnMenuButtonPressedEvent read FOnMenuButtonPressed write FOnMenuButtonPressed;`
Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.

Generated by PasDoc 0.16.0-snapshot.